# KillTrack

## [v2.16.0](https://github.com/SharpWoW/KillTrack/tree/v2.16.0) (2020-10-30)
[Full Changelog](https://github.com/SharpWoW/KillTrack/compare/v2.15.0...v2.16.0) [Previous Releases](https://github.com/SharpWoW/KillTrack/releases)

- Add command to edit mob kills  
    Fixes #15.  
- Constantize default mob name  
- Fix built-in script being overridden  
    For the search box in the mob list, the old OnTextChanged script handler  
    caused the Blizzard built-in handler to not run, making the placeholder  
    text in the search box not hide and overlay the actual query the user  
    wrote.  
    This appears to be due to a change in how the SearchBoxTemplate works  
    as the existing code had worked previously.  
- Fix mobs in mob list sometimes not updating  
- Add build status badge  
- Improve string split function  
- Add pull request workflow  
- Update switches for luacheck  
- Clean up code  
     * Use Blizz-provided private Addon table  
     * Expose AddOn table as global variable for user access  
       (from macros et.c)  
     * Clean up some frame/UI code  
     * Clean up some luacheck warnings  
- Switch to using GitHub actions  
- Specify Lua version for workspace  
- Add luacheck config  
- Remove old archive script  
- Replace tabs with spaces  
- Update copyright year  
- Fix bug with game menu  
    When calling `ShowUIPanel(InterfaceOptionsFrame)` and then closing out  
    of the interface options, the game menu can no longer be opened by  
    pressing the ESC key, forcing a reload of the UI to fix it. (Opening it  
    with the button in the micromenu also works to make it unstuck.)  
    Change the behaviour of the options helper to instead open to the  
    KillTrack options with the old workaround of calling  
    InterfaceOptionsFrame\_OpenToCategory twice.  
- Improve performance of AddKill function  
    Previously, every time a call was made to AddKill, it would return the  
    resulting state of the mob by use of GetKill. GetKill iterates *all*  
    mobs in KillTrack's database to find the requested mob. This means,  
    every time a kill is added, the mob database is iterated.  
    In situations with a large of deaths occurring, like in a raid, this  
    could lead to degraded performance.  
    Instead, the code now simply grabs the mob data directly from the  
    saved variables table with the ID, so no iteration is needed.  
- Rewrite timer frame in pure Lua  
- Ignore IntelliJ IDEA files  
- Fix indentation  
